Subject: bug#75740: closed (Re: bug#75740: adms: bootstrap phase fails)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Jan 2025 10:25:02 +0000

Your bug report

#75740: adms: bootstrap phase fails

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75740: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75740
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75740: adms: bootstrap phase fails
From: Z572 <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Wed, 22 Jan 2025 18:24:40 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Howard <[email-masked]> writes:

> Hi, I am trying to build adms since it is a dependency of Qucs. But the build fails with this error:
>
> ```
> starting phase `bootstrap'
> running './bootstrap.sh'
> In execvp of ./bootstrap.sh: Exec format error
> error: in phase 'bootstrap': uncaught exception:
> %exception #<&invoke-error program: "./bootstrap.sh" arguments: () exit-status: 127 term-signal: #f stop-signal: #f> 
> phase `bootstrap' failed after 0.0 seconds
> command "./bootstrap.sh" failed with status 127
> build process 6 exited with status 256
> ```
>
> The command I used to build was "guix time-machine -- build adms". The build log is attached.
>
> [2. application/octet-stream; 5ndp30zjzb6m8nysgiy76zfylw5v57-adms-2.3.7.drv.gz]...
>
>
> Here is my system information:
>
> ```
> christopher@theoden 
> ------------------- 
> OS: Guix System x86_64 
> Host: OptiPlex 9020 00 
> Kernel: 6.11.8-gnu 
> Uptime: 6 days, 20 hours, 51 mins 
> Packages: 160 (guix-system) 
> Shell: bash 5.1.16 
> Resolution: 1920x1080 
> DE: GNOME 
> Theme: Adwaita [GTK2/3] 
> Icons: Adwaita [GTK2/3] 
> Terminal: launch-local-em 
> CPU: Intel i5-4570 (4) @ 3.600GHz 
> GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
> GPU: Intel HD Graphics 
> Memory: 5740MiB / 15907MiB 
> ```

Fixed, see
https://git.savannah.gnu.org/cgit/guix.git/commit/?id=e3d6188dfd47461fa85eb5804f56192646cca1cf
closing.

Subject: adms: bootstrap phase fails
From: Christopher Howard <[email-masked]>
To: [email-masked]
Date: Tue, 21 Jan 2025 11:36:20 -0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I am trying to build adms since it is a dependency of Qucs. But the build fails with this error:

```
starting phase `bootstrap'
running './bootstrap.sh'
In execvp of ./bootstrap.sh: Exec format error
error: in phase 'bootstrap': uncaught exception:
%exception #<&invoke-error program: "./bootstrap.sh" arguments: () exit-status: 127 term-signal: #f stop-signal: #f> 
phase `bootstrap' failed after 0.0 seconds
command "./bootstrap.sh" failed with status 127
build process 6 exited with status 256
```

The command I used to build was "guix time-machine -- build adms". The build log is attached.

Here is my system information:

```
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 6.11.8-gnu 
Uptime: 6 days, 20 hours, 51 mins 
Packages: 160 (guix-system) 
Shell: bash 5.1.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: launch-local-em 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
GPU: Intel HD Graphics 
Memory: 5740MiB / 15907MiB 
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ